PIP-UNINSTALL(1)

NAME
pip-uninstall - description of pip uninstall command

DESCRIPTION

Uninstall packages.

pip is able to uninstall most installed packages. Known exceptions are:

•   Pure distutils packages installed with python setup.py install, which leave behind no metadata to determine what files were installed.

•   Script wrappers installed by python setup.py develop.

USAGE

python -m pip uninstall [options] <package> ...
python -m pip uninstall [options] -r <requirements file> ...

OPTIONS

-r, --requirement <file>
    Uninstall all the packages listed in the given requirements file. This option can be used multiple times.

-y, --yes
    Don't ask for confirmation of uninstall deletions.

--root-user-action <root_user_action>
    Action if pip is run as a root user. By default, a warning message is shown.

--break-system-packages
    Allow pip to modify an EXTERNALLY-MANAGED Python installation

AUTHOR
pip developers

COPYRIGHT
The pip developers